Summary: Cooperative Bug Isolation repository configuration
Name: cbi-package-config
Version: %fedora
Release: 13
License: BSD
Group: System Environment/Base
URL: http://research.cs.wisc.edu/cbi/
Source0: RPM-GPG-KEY-cbi
Source1: cbi.repo
BuildArch: noarch
BuildRoot: %_tmppath/%name-%version-%release-root
Requires: fedora-release = %version

%description
The Cooperative Bug Isolation Project (CBI) distributes builds of
popular applications with special instrumentation to help find and
eliminate bugs.

This package contains the CBI package signing key as well as
configuration files for the various popular RPM package managers and
updaters.

%install
rm -rf $RPM_BUILD_ROOT
put() { mkdir -p $RPM_BUILD_ROOT%_sysconfdir/$2 && install -m 0644 $1 $RPM_BUILD_ROOT%_sysconfdir/$2; }
put %{S:0} pki/rpm-gpg
put %{S:1} yum.repos.d


%files
%defattr(0644,root,root,0755)
%_sysconfdir/pki/rpm-gpg/*
%config(noreplace) %_sysconfdir/yum.repos.d/*

%changelog
* Wed Jun 26 2013 Ben Liblit <liblit@cs.wisc.edu> - %fedora-13
- Update remote repository URL to reflect recent restructuring on server.

* Mon Jun 3 2013 Ben Liblit <liblit@cs.wisc.edu> - %fedora-12
- Drop support for package managers other than yum.

* Thu Mar 24 2011 Ben Liblit <liblit@cs.wisc.edu> - %fedora-11
- Research project web pages are now hosted on research.cs.wisc.edu
  instead of www.cs.wisc.edu.
 
* Tue Nov 13 2007 Ben Liblit <liblit@cs.wisc.edu> - %fedora-10
- The chmod security fix served its purpose and can go away now.
- Per Fedora guidelines, don't overwrite local config changes.

* Tue Nov 13 2007 Ben Liblit <liblit@cs.wisc.edu> - %fedora-9
- Rebuild with better sanity checks for GPG key exports.

* Fri May 11 2007 Ben Liblit <liblit@cs.wisc.edu> - %fedora-8
- Drop "Core" from Fedora title.  Should apply only to Fedora 7 and
  later, but for simplity I'm just doing it for all versions.

* Fri Dec 15 2006 Ben Liblit <liblit@cs.wisc.edu> - %fedora-7
- Don't trust apt to substitute $(VERSION) properly.

* Fri Nov 10 2006 Ben Liblit <liblit@cs.wisc.edu> - %fedora-6
- Rebuild with fixed (non-empty) GPG public key.

* Fri Nov 10 2006 Ben Liblit <liblit@cs.wisc.edu> - %fedora-5
- Rebuild with proper Fedora Core 4 distribution version.

* Sun Oct 22 2006 Ben Liblit <liblit@cs.wisc.edu> - %fedora-4
- Don't make repository config files world-writable.
- Directory ownership tweaks.

* Mon Jun 26 2006 Ben Liblit <liblit@cs.wisc.edu> - %fedora-3
- Mark configuration files appropriately.

* Mon Jun 26 2006 Ben Liblit <liblit@cs.wisc.edu> - %fedora-2
- Require the corresponding Fedora release package to avoid
  installation errors.

* Mon Jun 26 2006 Ben Liblit <liblit@cs.wisc.edu> - %fedora-1
- Initial build.
